petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFSetUp

set up communication structures

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetUp(PetscSF sf)

Collective Many br

### Input Arguments

sf -star forest communication object Many br

Many br

### See Also

PetscSFSetFromOptions(), PetscSFSetType()

Level:beginner
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex2.c.html